ubuntu/+source/ktorrent:applied/ubuntu/quantal-devel

Last commit made on 2012-06-22
Get this branch:
git clone -b applied/ubuntu/quantal-devel https://git.launchpad.net/ubuntu/+source/ktorrent
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/quantal-devel
Repository:
lp:ubuntu/+source/ktorrent

Recent commits

896281f... by Modestas Vainius <email address hidden> on 2012-06-21

Import patches-applied version 4.2.1-1 to applied/ubuntu/quantal

Imported using git-ubuntu import.

Changelog parent: 93f95bc94c1639319444f68761c93a09e2d923ab
Unapplied parent: f3af626b50aa0c21d349fd1f9806295543146c4b

New changelog entries:
  * New upstream release.
  * Require libktorrent 1.2.1 for building.
  * Drop unused override menu-icon-missing.

f3af626... by Modestas Vainius <email address hidden> on 2012-06-21

Import patches-unapplied version 4.2.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 276166533bd7fa06e6c99dcf467e1026895a9732

New changelog entries:
  * New upstream release.
  * Require libktorrent 1.2.1 for building.
  * Drop unused override menu-icon-missing.

93f95bc... by Modestas Vainius <email address hidden> on 2012-03-10

Import patches-applied version 4.2.0-1 to applied/ubuntu/quantal

Imported using git-ubuntu import.

Changelog parent: 3cbc831c0aee3247a4af06bdddb97a12323311d7
Unapplied parent: 276166533bd7fa06e6c99dcf467e1026895a9732

New changelog entries:
  * New upstream release.
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Require libktorrent 1.2.0 to build.
  * Build depend on debhelper 9 as lintian insists.
  * Enable kio-magnet (pass -DENABLE_KIO_MAGNET=1 to cmake).

2761665... by Modestas Vainius <email address hidden> on 2012-03-10

Import patches-unapplied version 4.2.0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: a260003a433c9caa16a2043ab894f01db853caa0

New changelog entries:
  * New upstream release.
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Require libktorrent 1.2.0 to build.
  * Build depend on debhelper 9 as lintian insists.
  * Enable kio-magnet (pass -DENABLE_KIO_MAGNET=1 to cmake).

3cbc831... by Modestas Vainius <email address hidden> on 2011-12-05

Import patches-applied version 4.1.3-1 to applied/ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: d639e849f38942d1b48dc5af36dcc05d6ac2137b
Unapplied parent: a260003a433c9caa16a2043ab894f01db853caa0

New changelog entries:
  * New upstream release.
  * Bump debhelper compat level to 9 and require debhelper 8.9.0 in order to
    gain transparent support for dpkg-buildflags in dh/dh_auto_*.
  * Reorder dh options in compat=8 compatible way.

a260003... by Modestas Vainius <email address hidden> on 2011-12-05

Import patches-unapplied version 4.1.3-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 2ffb98a1426f04e2c3f9324e320ab139d469989d

New changelog entries:
  * New upstream release.
  * Bump debhelper compat level to 9 and require debhelper 8.9.0 in order to
    gain transparent support for dpkg-buildflags in dh/dh_auto_*.
  * Reorder dh options in compat=8 compatible way.

d639e84... by Modestas Vainius <email address hidden> on 2011-08-17

Import patches-applied version 4.1.2-1 to applied/ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 73e094552ddc62d83e96fbd92b251207c5ec6bfe
Unapplied parent: 2ffb98a1426f04e2c3f9324e320ab139d469989d

New changelog entries:
  * New upstream release.
  * Add krosspython to ktorrent Suggests.
  * Require libktorrent-dev 1.1.2.
  * Add kdebase-workspace-dev (<< 4:4.6) to Build-Conflicts temporary. Needed
    for KDE SC 4.6 transition.
  * Upload to unstable.
  * New upstream release.
  * Require libktorrent-dev 1.1.1.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Correct menu-icon-missing override.
  * New upstream release.
  * Require libktorrent-dev 1.1.0.
  * Drop upstream_kde4.4_compat.diff patch, merged upstream.
  * Build depend on libqtwebkit-dev | libqt4-dev (<< 4:4.7.0).
  * New upstream release.
  * Require libktorrent 1.1~rc1.
  * Add upstream_kde4.4_compat.diff patch in order to restore compatibility
    with KDE Devel Platform 4.4.
  * Update install files.
  * Release to unstable.
  * Reupload because previous upload was screwed.
  * New upstream release.
  * Require libktorrent 1.0.5.
  * New upstream release.
  * Bump libktorrent-dev build dependency to 1.0.4.
  * New upstream release.
  * Bump Standards-Version to 3.9.1: no changes needed.
  * Require libktorrent 1.0.3 per upstream recommendation.
  * New upstream release.
  * Bump libktorrent-dev build dependency to 1.0.2.
  * Bump Standards-Version to 3.9.0: add Breaks next to Replaces where needed.
  * No longer reference BSD from common-licenses in debian/copyright, replace
    it with copyright/license blob.
  * Fix indentation style in debian/copyright.
  * New upstream release:
    - Make sure that there are no uncaught exceptions (Closes: #585803).
  * Bump build dependency on libktorrent-dev to >= 1.0.1.
  * New upstream release:
   - "Pause KTorrent" was renamed to avoid confusion (Closes: #536319);
   - Statistics are updated dynamically in the system tray (Closes: #526775);
   - Torrent state is updated even when it isn't started (Closes: #575878).
  * Fix spelling error in ktorrent-data description (Closes: #557893).
  * Add patch general/drop_excess_dependencies.diff - drop excess build
    dependency requirements from CMakeLists.txt, adjust required versions of Qt
    and KDE.
  * Changes for KTorrent split:
    - build depend on libktorrent-dev (>= 1.0.0);
    - remove libgmp3-dev, libqca2-dev from build depends;
    - drop libbtcore from ktorrent.install file;
    - replace libboost-serialization-dev with libboost-dev.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Add libktorrent-l10n to ktorrent Depends.
  * Add libktorrent-dbg to ktorrent-dbg Depends.
  * Drop topgit support from debian/rules.
  * Rewrite debian/README.source: no more topgit.
  * Drop all patches. They have been applied upstream.
  * Drop extra debian/copyright.* files. No longer used in the workflow.
  * New upstream release.
  * Enable parallel building: pass --parallel option to dh.
  * Merge changes from debian 3.3.{3,4} packages.
  * Drop hunk 1 from the general/fix_target_link_libraries.diff patch - merged
    upstream.
  * Bump libqt4-dev build dependency to 4:4.6 - needed by plasmoid. As a
    result, drop Build-Conflicts with libqt4-dev 4:4.5.2.
  * Update install files.
  * Do not use asterisks in debian/NEWS.

2ffb98a... by Modestas Vainius <email address hidden> on 2011-08-17

Import patches-unapplied version 4.1.2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 2059edeca7d20b7537cc2106b525c9a0f5bd5baf

New changelog entries:
  * New upstream release.
  * Add krosspython to ktorrent Suggests.
  * Require libktorrent-dev 1.1.2.

2059ede... by Modestas Vainius <email address hidden> on 2011-05-27

Import patches-unapplied version 4.1.1-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: bc2d73f80158998624134d7a6c738f548beaf005

New changelog entries:
  * Add kdebase-workspace-dev (<< 4:4.6) to Build-Conflicts temporary. Needed
    for KDE SC 4.6 transition.
  * Upload to unstable.

bc2d73f... by Modestas Vainius <email address hidden> on 2011-05-02

Import patches-unapplied version 4.1.1-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 69e8aadc443380a48868d033d543a39f595d99a6

New changelog entries:
  * New upstream release.
  * Require libktorrent-dev 1.1.1.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Correct menu-icon-missing override.